package com.yizhi.application.protal.constant;

public enum TerminalEnum {
	
	PC("PC"), MOBILE("APP"), WECHAT("移动端");

	private String key;

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	private TerminalEnum(String key) {
		this.key = key;
	}
	
	public static String getTerminalKey(String name){
		TerminalEnum[] enums = TerminalEnum.values();
		for(TerminalEnum te : enums){
			if(te.toString().equals(name)){
				return te.getKey();
			}
		}
		return null;
	}
}
